Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer
Class DefaultPicoContainerTestCase

    java.lang.Object
      org.picocontainer.tck.AbstractPicoContainerTest
          org.picocontainer.DefaultPicoContainerTestCase

    public final class DefaultPicoContainerTestCase

extends AbstractPicoContainerTest

Author:
  Aslak Hellesøp;y, Paul Hammant, Ward Cunningham, Mauro Talevi

Nested Class Summary
`static interface` | `DefaultPicoContainerTestCase.A`
`static class` | `DefaultPicoContainerTestCase.CdiTurtle`
`static class` | `DefaultPicoContainerTestCase.DependsOnCollection`
`static class` | `DefaultPicoContainerTestCase.FailingLifecycleStrategy`
`static class` | `DefaultPicoContainerTestCase.Horse`
`static class` | `DefaultPicoContainerTestCase.ListComponentsInStartClass`
`static class` | `DefaultPicoContainerTestCase.MyStartable`
`static class` | `DefaultPicoContainerTestCase.NeedsTwo`
`static class` | `DefaultPicoContainerTestCase.SdiDonkey`
`static class` | `DefaultPicoContainerTestCase.SdiRabbit`
`static class` | `DefaultPicoContainerTestCase.Service`
`static class` | `DefaultPicoContainerTestCase.SimpleA`
`static class` | `DefaultPicoContainerTestCase.StartableClazz`
`static class` | `DefaultPicoContainerTestCase.Thingie`
`static class` | `DefaultPicoContainerTestCase.TransientComponent`
`static class` | `DefaultPicoContainerTestCase.WrappingA`

Nested classes/interfaces inherited from class org.picocontainer.tck.AbstractPicoContainerTest
`AbstractPicoContainerTest.ComponentA, AbstractPicoContainerTest.ComponentB, AbstractPicoContainerTest.ComponentC, AbstractPicoContainerTest.ComponentD, AbstractPicoContainerTest.ComponentE, AbstractPicoContainerTest.ComponentF, AbstractPicoContainerTest.ContainerDependency, AbstractPicoContainerTest.DerivedTouchable, AbstractPicoContainerTest.JMSService, AbstractPicoContainerTest.LifeCycleMonitoring, AbstractPicoContainerTest.ListAdder, AbstractPicoContainerTest.NeedsTouchable, AbstractPicoContainerTest.NeedsWashable, AbstractPicoContainerTest.NonGreedyClass, AbstractPicoContainerTest.RecordingStrategyVisitor, AbstractPicoContainerTest.TestBehavior, AbstractPicoContainerTest.TestLifecycleComponent`

Constructor Summary
`DefaultPicoContainerTestCase()`

Method Summary
`void` | `canInterceptImplementationViaNewInjectionFactoryMethodOnMonitor()`
`protected org.picocontainer.MutablePicoContainer` | `createPicoContainer(org.picocontainer.PicoContainer parent)`
`protected Properties[]` | `getProperties()`
`void` | `testCanChangeMonitor()`
`void` | `testCanChangeMonitorOfChildContainers()`
`void` | `testCanRegisterTwoComponentsImplementingSameInterfaceOneWithInterfaceAsKey()`
`void` | `testCanRegisterTwoComponentsWithSameImplementionAndDifferentKey()`
`void` | `testCanReturnCurrentMonitorFromComponentFactory()`
`void` | `testCanUseCustomLifecycleStrategyForClassRegistrations()`
`void` | `testCanUseCustomLifecycleStrategyForInstanceRegistrations()`
`void` | `testChainingOfTemporaryCharacterizationsIsNotAllowed()`
`void` | `testChangeMonitorIsIgnoredIfNotSupportingStrategy()`
`void` | `testComponentInstancesListIsReturnedForNullType()`
`void` | `testComponentsCanBeRemovedByInstance()`
`void` | `testComponentsWithCommonSupertypeWhichIsAConstructorArgumentCanBeLookedUpByConcreteType()`
`void` | `testDefaultPicoContainerReturnsNewInstanceForEachCallWhenUsingTransientComponentAdapter()`
`void` | `testGetComponentAdaptersOfTypeNullReturnsEmptyList()`
`void` | `testInstantiationWithMonitorAndParent()`
`void` | `testInstantiationWithNullComponentFactory()`
`void` | `testListComponentsInStart()` JIRA: PICO-295 reported by Erik Putrycz
`void` | `testListComponentsOnStart()`
`void` | `testMakeChildContainer()`
`void` | `testMakeChildContainerPassesMonitorFromParentToChild()`
`void` | `testMixingOfSDIandCDI()`
`void` | `testMixingOfSDIandCDIDifferently()`
`void` | `testMixingOfSDIandCDIInBuilderStyle()`
`void` | `testMixingOfSDIandCDIWithTemporaryCharacterizations()`
`void` | `testMixingOfSDIandCDIWithTemporaryCharacterizationsDifferently()`
`void` | `testNoComponentIsMonitoredAndPotentiallyLateProvided()`
`void` | `testPicoCanDifferentiateBetweenNamedIntsThatWouldOtherwiseBeAmbiguous()`
`void` | `testPicoCanDifferentiateBetweenNamedObjectsThatWouldOtherwiseBeAmbiguous()`
`void` | `testPicoCanDifferentiateBetweenNamedStringsThatWouldOtherwiseBeAmbiguous()`
`void` | `testPicoUsedInBuilderStyle()`
`void` | `testRepresentationOfContainerTree()`
`void` | `testShouldProvideInfoAboutDependingWhenAmbiguityHappens()`
`void` | `testStartCapturedByMonitor()`
`void` | `testThangCanBeInstantiatedWithArrayList()`
`void` | `testThatComponentCannotBeRemovedFromStartedContainer()`
`void` | `testThatSimpleStringComponentIsAddedOnlyOnce()`
`void` | `testUnambiguouSelfDependency()`
`void` | `testUpDownDependenciesCannotBeFollowed()`

Methods inherited from class org.picocontainer.tck.AbstractPicoContainerTest
`addContainers, addDefaultComponentFactories, createPicoContainerWithDependsOnTouchableOnly, createPicoContainerWithTouchableAndDependsOnTouchable, testAcceptImplementsBreadthFirstStrategy, testAcceptIsAbortable, testAggregatedVerificationException, testAmbiguousDependencies, testAmbiguousResolution, testBasicInstantiationAndContainment, testComponentAdapterRegistrationOrderIsMaintained, testComponentInstancesFromParentsAreNotDirectlyAccessible2, testContainerCascadesDefaultLifecycle, testContainerIsSerializable, testCyclicDependencyThrowsCyclicDependencyException, testCyclicDependencyThrowsCyclicDependencyExceptionWithParentContainer, testDuplicateRegistration, testExternallyInstantiatedObjectsCanBeRegisteredAndLookedUp, testGettingComponentWithMissingDependencyFails, testLookupWithUnregisteredKeyReturnsNull, testLookupWithUnregisteredTypeReturnsNull, testMakingOfChildContainer, testMakingOfChildContainerPercolatesLifecycleManager, testNoArgConstructorToBeSelected, testPico52, testRegisterComponentWithObjectBadType, testRegisteredComponentsExistAndAreTheCorrectTypes, testRegistersSingleInstance, testRemovalNonRegisteredComponentAdapterWorksAndReturnsNull, testSameInstanceCanBeUsedAsDifferentTypeWhenCaching, testSerializedContainerCanRetrieveImplementation, testShouldCascadeStartStopAndDisposeToChild, testShouldReturnNonMutableParent, testShouldReturnNullForComponentAdapterOfUnregisteredType, testShouldReturnNullWhenUnregistereingUnmanagedComponent, testStartStopAndDisposeCascadedtoChildren, testStartStopAndDisposeNotCascadedtoRemovedChildren, testUnsatisfiableDependenciesExceptionGivesUnsatisfiedDependencyTypes, testUnsatisfiableDependenciesExceptionGivesVerboseEnoughErrorMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPicoContainerTestCase

    public DefaultPicoContainerTestCase()

Method Detail

### createPicoContainer

    protected org.picocontainer.MutablePicoContainer createPicoContainer(org.picocontainer.PicoContainer parent)

  Specified by:
    `createPicoContainer` in class `AbstractPicoContainerTest`

### getProperties

    protected Properties[] getProperties()

  Specified by:
    `getProperties` in class `AbstractPicoContainerTest`

### testInstantiationWithNullComponentFactory

    public void testInstantiationWithNullComponentFactory()

### testUpDownDependenciesCannotBeFollowed

    public void testUpDownDependenciesCannotBeFollowed()

### testComponentsCanBeRemovedByInstance

    public void testComponentsCanBeRemovedByInstance()

### testComponentInstancesListIsReturnedForNullType

    public void testComponentInstancesListIsReturnedForNullType()

### testComponentsWithCommonSupertypeWhichIsAConstructorArgumentCanBeLookedUpByConcreteType

    public void testComponentsWithCommonSupertypeWhichIsAConstructorArgumentCanBeLookedUpByConcreteType()

### testUnambiguouSelfDependency

    public void testUnambiguouSelfDependency()

### testPicoUsedInBuilderStyle

    public void testPicoUsedInBuilderStyle()

### testThangCanBeInstantiatedWithArrayList

    public void testThangCanBeInstantiatedWithArrayList()

### testGetComponentAdaptersOfTypeNullReturnsEmptyList

    public void testGetComponentAdaptersOfTypeNullReturnsEmptyList()

### testDefaultPicoContainerReturnsNewInstanceForEachCallWhenUsingTransientComponentAdapter

    public void testDefaultPicoContainerReturnsNewInstanceForEachCallWhenUsingTransientComponentAdapter()

### testShouldProvideInfoAboutDependingWhenAmbiguityHappens

    public void testShouldProvideInfoAboutDependingWhenAmbiguityHappens()

### testInstantiationWithMonitorAndParent

    public void testInstantiationWithMonitorAndParent()

### testRepresentationOfContainerTree

    public void testRepresentationOfContainerTree()

### testStartCapturedByMonitor

    public void testStartCapturedByMonitor()

### testListComponentsOnStart

    public void testListComponentsOnStart()

### testCanChangeMonitor

    public void testCanChangeMonitor()

### testCanChangeMonitorOfChildContainers

    public void testCanChangeMonitorOfChildContainers()

### testChangeMonitorIsIgnoredIfNotSupportingStrategy

    public void testChangeMonitorIsIgnoredIfNotSupportingStrategy()

### testCanReturnCurrentMonitorFromComponentFactory

    public void testCanReturnCurrentMonitorFromComponentFactory()

### testMakeChildContainer

    public void testMakeChildContainer()

### testMakeChildContainerPassesMonitorFromParentToChild

    public void testMakeChildContainerPassesMonitorFromParentToChild()

### testCanUseCustomLifecycleStrategyForClassRegistrations

    public void testCanUseCustomLifecycleStrategyForClassRegistrations()

### testCanUseCustomLifecycleStrategyForInstanceRegistrations

    public void testCanUseCustomLifecycleStrategyForInstanceRegistrations()

### testCanRegisterTwoComponentsImplementingSameInterfaceOneWithInterfaceAsKey

    public void testCanRegisterTwoComponentsImplementingSameInterfaceOneWithInterfaceAsKey()
                                                                                    throws Exception

  Throws:
    `Exception`

### testCanRegisterTwoComponentsWithSameImplementionAndDifferentKey

    public void testCanRegisterTwoComponentsWithSameImplementionAndDifferentKey()
                                                                         throws Exception

  Throws:
    `Exception`

### testPicoCanDifferentiateBetweenNamedStringsThatWouldOtherwiseBeAmbiguous

    public void testPicoCanDifferentiateBetweenNamedStringsThatWouldOtherwiseBeAmbiguous()

### testPicoCanDifferentiateBetweenNamedObjectsThatWouldOtherwiseBeAmbiguous

    public void testPicoCanDifferentiateBetweenNamedObjectsThatWouldOtherwiseBeAmbiguous()

### testPicoCanDifferentiateBetweenNamedIntsThatWouldOtherwiseBeAmbiguous

    public void testPicoCanDifferentiateBetweenNamedIntsThatWouldOtherwiseBeAmbiguous()

### testListComponentsInStart

    public void testListComponentsInStart()

  JIRA: PICO-295 reported by Erik Putrycz

### testMixingOfSDIandCDI

    public void testMixingOfSDIandCDI()

### testMixingOfSDIandCDIDifferently

    public void testMixingOfSDIandCDIDifferently()

### testMixingOfSDIandCDIInBuilderStyle

    public void testMixingOfSDIandCDIInBuilderStyle()

### testMixingOfSDIandCDIWithTemporaryCharacterizations

    public void testMixingOfSDIandCDIWithTemporaryCharacterizations()

### testMixingOfSDIandCDIWithTemporaryCharacterizationsDifferently

    public void testMixingOfSDIandCDIWithTemporaryCharacterizationsDifferently()

### testChainingOfTemporaryCharacterizationsIsNotAllowed

    public void testChainingOfTemporaryCharacterizationsIsNotAllowed()

### testNoComponentIsMonitoredAndPotentiallyLateProvided

    public void testNoComponentIsMonitoredAndPotentiallyLateProvided()

### testThatComponentCannotBeRemovedFromStartedContainer

    public void testThatComponentCannotBeRemovedFromStartedContainer()

### testThatSimpleStringComponentIsAddedOnlyOnce

    public void testThatSimpleStringComponentIsAddedOnlyOnce()

### canInterceptImplementationViaNewInjectionFactoryMethodOnMonitor

    public void canInterceptImplementationViaNewInjectionFactoryMethodOnMonitor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.